User
Query parameters
metabooleanOptional
Set to true to receive response in data/meta format
Responses
200
List all users
application/json
idstringOptional
User Id
usernamestringRequired
Username as an email address
firstnamestringRequired
firstname
lastnamestringRequired
lastname
statusstring · enumOptionalPossible values:
tenantstringOptional
confirmedbooleanOptional
true, if the confirmation link/email has been triggered
imgstringOptional
url to user image
get/api/users
GET /api/users HTTP/1.1
Accept: */*
200
List all users
[
{
"id": "text",
"username": "text",
"firstname": "text",
"lastname": "text",
"status": "ACTIVE",
"tenant": "text",
"roles": [
{
"id": "text",
"name": "text",
"permissions": [
"all"
],
"scope": "text",
"createdAt": "text",
"updatedAt": "text",
"isGlobal": true,
"description": "text"
}
],
"permissions": [
"all"
],
"confirmed": true,
"img": "text"
}
]Path parameters
idstringRequired
ID of user to use
Responses
200
User data
application/json
idstringOptional
User Id
usernamestringRequired
Username as an email address
firstnamestringRequired
firstname
lastnamestringRequired
lastname
statusstring · enumOptionalPossible values:
tenantstringOptional
confirmedbooleanOptional
true, if the confirmation link/email has been triggered
imgstringOptional
url to user image
get/api/users/{id}
GET /api/users/{id} HTTP/1.1
Accept: */*
200
User data
{
"id": "text",
"username": "text",
"firstname": "text",
"lastname": "text",
"status": "ACTIVE",
"tenant": "text",
"roles": [
{
"id": "text",
"name": "text",
"permissions": [
"all"
],
"scope": "text",
"createdAt": "text",
"updatedAt": "text",
"isGlobal": true,
"description": "text"
}
],
"permissions": [
"all"
],
"confirmed": true,
"img": "text"
}Last updated